package com.muyu.service.impl;

import com.alibaba.fastjson2.JSONArray;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.RouteInfo;
import com.muyu.domain.model.PositionModel;
import com.muyu.mapper.RouteMapper;
import com.muyu.service.RouteService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author DongZl
 * @description: 路径轨迹业务实现层
 * @Date 2023-11-20 上午 09:34
 */
@Service
public class RouteServiceImpl extends ServiceImpl<RouteMapper, RouteInfo> implements RouteService {
    /**
     * 根据轨迹ID获取轨迹详情
     *
     * @param routeId 轨迹ID
     *
     * @return 轨迹ID
     */
    @Override
    public List<PositionModel> getPositionModelByRouteId (Long routeId) {
        RouteInfo routeInfo = this.getById(routeId);
        return JSONArray.parseArray(routeInfo.getRouteData(), String.class)
                .stream()
                .map(PositionModel::strBuild)
                .toList();
    }
}
